Skip to content
Ona Docs

ListWorkflowExecutionOutputs

client.Automations.ListExecutionOutputs(ctx, params) (*OutputsPage[AutomationListExecutionOutputsResponse], error)
POST/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs

Lists outputs produced by workflow execution actions.

Use this method to:

  • Retrieve test results, coverage metrics, or other structured data from executions
  • Aggregate outputs across multiple workflow executions
  • Build dashboards or reports from execution data

Examples

  • List outputs for a workflow execution:

    Retrieves all outputs produced by actions in the specified execution.

    filter:
      workflowExecutionIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"]
    pagination:
      pageSize: 50
ParametersExpand Collapse
params AutomationListExecutionOutputsParams
Token param.Field[string]Optional

Query param

PageSize param.Field[int64]Optional

Query param

maximum100
minimum0
Filter param.Field[AutomationListExecutionOutputsParamsFilter]Optional

Body param

WorkflowExecutionIDs []stringOptional
ReturnsExpand Collapse
type AutomationListExecutionOutputsResponse struct{…}
ActionID stringOptional
Values map[string, AutomationListExecutionOutputsResponseValue]Optional
BoolValue boolOptional
FloatValue float64Optional
formatdouble
IntValue stringOptional
StringValue stringOptional
maxLength4096

ListWorkflowExecutionOutputs

package main

import (
  "context"
  "fmt"

  "github.com/gitpod-io/gitpod-sdk-go"
  "github.com/gitpod-io/gitpod-sdk-go/option"
)

func main() {
  client := gitpod.NewClient(
    option.WithBearerToken("My Bearer Token"),
  )
  page, err := client.Automations.ListExecutionOutputs(context.TODO(), gitpod.AutomationListExecutionOutputsParams{
    Filter: gitpod.F(gitpod.AutomationListExecutionOutputsParamsFilter{
      WorkflowExecutionIDs: gitpod.F([]string{"d2c94c27-3b76-4a42-b88c-95a85e392c68"}),
    }),
    Pagination: gitpod.F(gitpod.AutomationListExecutionOutputsParamsPagination{
      PageSize: gitpod.F(int64(50)),
    }),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "outputs": [
    {
      "actionId": "actionId",
      "values": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      }
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "outputs": [
    {
      "actionId": "actionId",
      "values": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      }
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}